Bug Hunting Session
Bug 93562 - Rename 'Drawing objects' or 'Draw objects' in Navigator
Summary: Rename 'Drawing objects' or 'Draw objects' in Navigator
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low trivial
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-21 05:29 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:08 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (47.99 KB, image/png)
2015-08-21 13:05 UTC, tommy27
Details
ODT document with various elements named for Navigator (87.45 KB, application/vnd.oasis.opendocument.text)
2015-08-23 13:58 UTC, V Stuart Foote
Details
ODs document with various elements named for Navigator (70.49 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-08-23 13:58 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-21 05:29:10 UTC
In Writer's Navigator, the entry is called 'Draw objects' and in Calc its called 'Drawing objects', so which one should be changed.

Also how to insert one of these objects as i drew a shape and nothing showed up in it.
Comment 1 tommy27 2015-08-21 13:05:09 UTC
Created attachment 118067 [details]
screenshot

I confirm UI issue under Win8.1 x64 using a recent 5.1 alpha daily build (see screenshot)
Comment 2 Adolfo Jayme 2015-08-21 22:16:37 UTC
The correct term is “Drawing objects”.
Comment 3 Yousuf Philips (jay) (retired) 2015-08-23 01:27:49 UTC
Cor, Stuart: Any idea how to populate drawing objects in navigator.
Comment 4 Cor Nouws 2015-08-23 09:02:12 UTC
(In reply to Yousuf (Jay) Philips from comment #3)
> Cor, Stuart: Any idea how to populate drawing objects in navigator.

There's sometimes smart art object from MsOffice in that category.
Maybe it's only imported drawing stuff that is shown there?
Could be a difference between Calc and Writer too, but didn't check.
Comment 5 V Stuart Foote 2015-08-23 13:49:12 UTC
(In reply to Yousuf (Jay) Philips from comment #3)
> Cor, Stuart: Any idea how to populate drawing objects in navigator.

When a Shape is added to the Writer document, you have to also give it a name. Once named it will show in Navigator for Writer in the Draw objects section.

Also, a Draw session can be OLE embedded (from File or newly created), it will show in the "OLE objects" section of Navigator named a generic Object# but can be renamed as well.

And of course any image/graphic inserted from file will show in the Images section, also with generic Image# that can be renamed.

So, OLE and Image will show with generic names for the class, but Shapes entered with the Drawing toolbar have to be specifically named to show in the Draw Object/Drawing Objects
Comment 6 V Stuart Foote 2015-08-23 13:53:14 UTC
Regards renaming--Adolfo is correct it should be Drawing objects as that is the name for the Toolbar in both Writer and Calc, e.g. "Drawing" and "Drawing Object Properties".

The shapes prepared with the toolbar really have little to do with the Draw module--they are not Draw objects, those come in as OLE.
Comment 7 V Stuart Foote 2015-08-23 13:58:06 UTC
Created attachment 118099 [details]
ODT document with various elements named for Navigator
Comment 8 V Stuart Foote 2015-08-23 13:58:43 UTC
Created attachment 118100 [details]
ODs document with various elements named for Navigator
Comment 9 Cor Nouws 2015-08-23 14:21:56 UTC
(In reply to V Stuart Foote from comment #5)

> When a Shape is added to the Writer document, you have to also give it a
> name. Once named it will show in Navigator for Writer in the Draw objects
> section.

Ah, the same as in Impress/Draw.. should have thought of that ;)
Comment 10 V Stuart Foote 2015-08-23 14:46:52 UTC
(In reply to Cor Nouws from comment #9)
> Ah, the same as in Impress/Draw.. should have thought of that ;)

Right, but in Draw/Impress Navigator has the split menu button "Show Shapes" and a selection for "All shapes" or default "Named shapes".  Regina has suggested in the past that the "All shapes" should be default for Draw/Impress. Doing something similar might also be appropriate for Writer/Calc.

The tougher issue in Draw/Impress is how-to rename a Drawing Shape once instantiated. Toolbar default GUI actions result in majority of shapes being unnamed. But that is a different issue.
Comment 11 Yousuf Philips (jay) (retired) 2015-08-23 17:28:28 UTC
(In reply to V Stuart Foote from comment #5)
> When a Shape is added to the Writer document, you have to also give it a
> name. Once named it will show in Navigator for Writer in the Draw objects
> section.

Why all this inconsistency with behaviour. We dont ask users to name an image or OLE for it to appear in navigator, so why are we making it mandatory for shapes. Atleast in impress/draw, you have a toggle to allow you to see unnamed shapes, but that options isnt available in writer and calc.

(In reply to V Stuart Foote from comment #6)
> Regards renaming--Adolfo is correct it should be Drawing objects as that is
> the name for the Toolbar in both Writer and Calc, e.g. "Drawing" and
> "Drawing Object Properties".

The toolbar entry to show the draw toolbar is tooltipped as 'Show Draw Functions'.
Comment 12 Commit Notification 2016-03-15 11:34:55 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c2edd6e7ce5ea479b76ca263a3b6188403b6d7f

tdf#93562 Navigator: "Draw objects" -> "Drawing objects"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.